<form [formGroup]="formFilter" (submit)="filterOpname()" class="">
    <div class="form-control form-group">
        <div class="row ui-g">
            <div class="ui-g-4">
                <div class="form-group">
                    <label>Dealer</label>
                    <div class="input-group"></div>
                    <p-dropdown [options]="dealerList" [formControl]="Dealer" placeholder="Select Dealer" [style]="{'width': '100%'}"
                        disabled></p-dropdown>
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label>Tipe Opname</label>
                    <div class="input-group"></div>
                    <p-dropdown [formControl]="TypeOpname" [options]="cities" placeholder="All" optionLabel="name"
                        [style]="{'width': '100%'}"></p-dropdown>
                </div>
            </div>
            <div class="ui-g-4">
                <label>Gudang</label>
                <div class="input-group"></div>
                <p-autoComplete [formControl]="Gudang" [suggestions]="results" (completeMethod)="search($event)"></p-autoComplete>
            </div>
        </div>
        <div class="row ui-g">
            <div class="ui-g-4">
                <label>Rak</label>
                <div class="input-group"></div>
                <input [formControl]="Rak" pInputText type="text" class="ui-inputtext ui-state-default ui-corner-all"
                    style="width:100%" /> </div>
            <div class="ui-g-4">
                <label>Parts</label>
                <div class="input-group"></div>
                <!-- <input [formControl]="Parts" pInputText type="text" class="ui-inputtext ui-state-default ui-corner-all"
                    style="width:100%" />  -->
                <p-autoComplete [formControl]="Parts" [suggestions]="partList" (completeMethod)="searchPart($event)" field="name" [forceSelection]="true"></p-autoComplete>
            </div>
            <div class="ui-g-4">
                <label>Tanggal Stock Opname</label>
                <div class="input-group">
                    <p-calendar [formControl]="Tanggal" [showIcon]="true" dateFormat="dd-mm-yy" [inputStyle]="{'width':'100%'}"></p-calendar>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="ui-g-12 text-right">
                <button pButton type="submit" class="btn-primary" label="Generate"></button>
            </div>
        </div>
    </div>
</form>
